
Foreman - Bug #6606

Can't delete a user if there's only one admin account

07/14/2014 04:45 PM - David Davis

Status: Closed   

Priority: Normal   

Assignee: David Davis   

Category: Authentication   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1122099 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1584

  

Description

Apologies if this is a dupe. It looks like the code won't let you delete a user if there's only 1 admin account. If you do, you get "Unable

to delete the last admin account" even if the user you are trying to delete is not an admin.

Related issues:

Related to Foreman - Feature #3272: Separate internal admin account from user... Closed 10/16/2013

Associated revisions

Revision 70966275 - 07/21/2014 10:51 AM - David Davis

Fixes #6606 - Allow deletion of non-admin users if 1 admin

When deleting users, you get an error message if there's only one admin account

even if the users aren't admins.

History

#1 - 07/14/2014 04:49 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1584 added

- Pull request deleted ()

#2 - 07/21/2014 04:01 AM - Dominic Cleal

- Category set to Authentication

#3 - 07/21/2014 07:27 AM - Dominic Cleal

- Related to Feature #3272: Separate internal admin account from user admin accounts added

#4 - 07/21/2014 07:27 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#5 - 07/21/2014 11:01 AM - David Davis

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 70966275544fc2146d44b0fb88eddffa10fc02ce.

#6 - 07/24/2014 09:07 AM - Dominic Cleal

- Bugzilla link set to 1122099

Powered by TCPDF (www.tcpdf.org)

05/18/2024 1/1

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/70966275544fc2146d44b0fb88eddffa10fc02ce
http://www.tcpdf.org

